import * as z from "zod"
import { Ausstellgrund } from "@prisma/client"

export const BedarfsausweisGewerbeSchema = z.object({
  id: z.number().int(),
  uid: z.string(),
  ausstellgrund: z.nativeEnum(Ausstellgrund).describe("Ausstellgrund wie z.B. Vermietung oder Verkauf").nullish(),
  keller_beheizt: z.boolean().describe("Falls der Keller des Gebäudes beheizt wird, sollte dieser Wert auf true stehen").nullish(),
  storniert: z.boolean().describe("Falls die Nachweisanfrage storniert wurde, sollte dieser Wert auf true stehen").nullish(),
  bestellt: z.boolean().describe("Falls der Nachweis bestellt wurde, sollte dieser Wert auf true stehen").nullish(),
  zurueckgestellt: z.boolean().describe("Falls der Nachweis vom Aussteller zurückgestellt wurde, sollte dieser Wert auf true stehen").nullish(),
  abluftanlage: z.boolean().nullish(),
  zu_abluftanlage: z.boolean().nullish(),
  konditionierung_der_zuluft: z.boolean().nullish(),
  luftheizung: z.boolean().nullish(),
  hallenheizung: z.boolean().nullish(),
  dunkelstrahler: z.boolean().nullish(),
  direktheizung: z.boolean().nullish(),
  infrarotstrahler: z.boolean().nullish(),
  fussbodenheizung: z.boolean().nullish(),
  bauteilaktivierung: z.boolean().nullish(),
  klimatisierung: z.boolean().nullish(),
  benutzer_id: z.number().int().describe("Die ID des Benutzers, welchem dieser Ausweis gehört").nullish(),
  aufnahme_id: z.number().int(),
  rechnung_id: z.number().int().nullish(),
  geg_einpreisung_id: z.number().int().nullish(),
})
